
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("mes_base_pallet_info")]
    public class MesBasePalletInfo
    {

        [Key]
        [Column("pallet_info_id")]
        public int palletInfoId { get; set; }

        /// <summary>
        /// 托盘信息RFID编码，不能修改
        /// </summary>
        [Column("pallet_info_code")]
        public string palletInfoCode { get; set; }

        /// <summary>
        /// 物料ID，关联物料信息主键
        /// </summary>
        [Column("material_id")]
        public long? materialId { get; set; }

        /// <summary>
        /// 物料编号
        /// </summary>
        [Column("material_code")]
        public string materialCode { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        [Column("material_name")]
        public string materialName { get; set; }

        /// <summary>
        /// 物料条码
        /// </summary>
        [Column("material_barcode")]
        public string materialBarcode { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Column("remark")]
        public string remark { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [Column("update_time")]
        public DateTime? updateTime { get; set; }

        /// <summary>
        /// 绑定数量
        /// </summary>
        [Column("bind_amount")]
        public decimal? bindAmount { get; set; }
    }
}

